Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Dec 2021 14:41:11 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 14 Dec 2021 22:54:53 +0200
> 
> >> > This whole discussion started from a request to be able to accumulate
> >> > messages in the echo-area so that the user who is away could see them
> >> > all when he/she comes back from whatever took him/her away.  There
> >> > could be quite a lot of messages accumulated during that period, and
> >> > the request was to leave them all on display.  For which you proposed
> >> > to use clear-message-function in a way that doesn't actually clear
> >> > them.
> >> >
> >> > Is the above an accurate description and summary of what is being
> >> > proposed here?  If so, is it now clear what kind of job I think
> >> > display of echo-area messages was never designed to support?
> >>
> >> Thanks for explanation, now it's clear where is the misunderstanding.
> >>
> >> Actually, the patch for clear-message-function here is unrelated
> >> to the feature that uses set-message-function to accumulate messages
> >> and doesn't use clear-message-function.
> >>
> >> The feature here is intended for users who want to always leave
> >> the last displayed message in the echo-area, and never clear it.
> >> It will be possible even to do this conditionally.
> >
> > But if messages aren't cleared, they will accumulate, and then we get
> > to the problems I described.  So it is not "unrelated", really.
> 
> When the message is not cleared, it will be displayed until another message
> will replace it.  This is unrelated to multi-message feature.

OK, then I guess it was a mistake to discuss this under this
particular bug report.

> > In any case, if this feature is unrelated, why do you want to have it
> > on the release branch?
> 
> This is another misunderstanding.  I didn't intend to have this
> on the release branch.  But since you mentioned it, why not?

Because we are done experimenting on the release branch.  Only
bugfixes should be installed there.